HTPROXY(1)

NAME
htproxy - record a HTTP session

SYNOPSIS
htproxy [OPTIONS]

DESCRIPTION
htproxy do record a HTTP session as a httest script

OPTIONS

-v --version
    Print version number and exit

-h --help
    Display usage information (this message)

-p --port
    Port

-d --dest
    Destination file, default file is "file"

-u --url-filter
    URL filter regex default is none (blacklist)

-l --log-level
    Log level 0-4

-H --host-var
    Variable name for host

-P --port-var
    Variable name for port

-U --root-var
    Web application root variable name

-A --host-header-var Variable name for host header value

-t --socket-tmo
    Socket timeout [ms], default 30000 ms

-i --header-file
    File with header text

-e --trailer-file
    File with trailer text

-c --cookie-prefix
    Cookie variable prefix, default is COOKIE_

-C --config
    Configuration file

Example: htproxy -p 8888 -d init -H HOST -P PORT -u "(.*\.png\;.*$)|(.*\.css\;.*$)|(.*\.ico\;.*$)|(.*\.js\;.*$)"

AUTHOR
Written by Christian Liesch

COPYRIGHT
Copyright © 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.